Subject: CCL:Large file and Linux

From: Thomas E Sorensen <[email-masked]>
Date: Thu, 26 Apr 2001 13:46:55 -0500 (CDT)

CCL members;

I want to run QM applications under Linux that use large files. 
I verified that the new Linux 2.4 Kernel supplied with RedHat 
7.1 (i386 version) supports files larger than 2 GIG. However, 
simple test programs compiled with gcc and g77 (version 2.96) 
terminate with "file size exceeded" errors when attempting to 
write a file larger than 2 GIG. 

Does anyone know if 64 bit ("long long") versions of header 
files and libraries exist that eliminate the 2 GIG file limit 
for Intel machines? If so, where do they reside?

Please send your responses directly to me at [email-masked]. I will 
post a summary to the group if sufficient interest exists. 

Thank you in advance for your help.

Thomas Sorensen ( [email-masked] )